"use client";

import {useSelector} from "react-redux";
import {selectLoggedInStatus} from "@/reducers/athenticationSlice";
import {useEffect, useState} from "react";

const HeaderTopBanner = () => {
    const
        isLoggedIn = useSelector(selectLoggedInStatus),
        [msg, setMsg] = useState(null);


    useEffect(() => {
        {
            !isLoggedIn ? setMsg(`
                با عضویت در ورسالیکو اولین سفارش خود را
                "رایگان"
                تحویل بگیرید
            `)
                : setMsg(`کاربر گرامی، به ورسالیکو خوش آمدید`)
        }
    }, [isLoggedIn]);

    return (
        <div className="flex-hz header-top-banner">
            <h2>
                {msg}
            </h2>
        </div>
    );

    return (
        <div className="flex-hz header-top-banner">
            <h2>
                {msg}
            </h2>
        </div>
    );
};

export default HeaderTopBanner;